-- =============================================
-- Author:		FID.DENY
-- Create date: 10-11-2015
-- Description:	Download error list for user maintenance upload
-- =============================================
CREATE PROCEDURE [dbo].[SP_GET_ERROR_LIST_USER_MAINTENANCE]	
	@process_id varchar(20)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;


	SELECT T.*, V.MSG AS MSG 
	INTO #temp
		FROM TB_T_USER_MAINTENANCE_UPLOAD_TEMP T LEFT JOIN TB_T_USER_MAINTENANCE_UPLOAD_TEMP_VALIDATE V
	ON
		T.RECORD_ID = V.ID AND T.PROCESS_ID = V.PROCESS_ID
		WHERE T.PROCESS_ID = @process_id
		ORDER BY T.RECORD_ID ASC


	SELECT 
		DISTINCT ST2.RECORD_ID, ST2.PROCESS_ID, ST2.BRANCH_ID, ST2.USERNAME, ST2.[PASSWORD], ST2.PASSWORD_EXPIRATION_DATE, ST2.USER_EXPIRATION_DATE,
			 ST2.ACTIVE_DIRECTORY_FLAG, ST2.LOCK_FLAG, ST2.ISACTIVE_FLAG, ST2.NOTIFICATION_FLAG, ST2.NO_REG, ST2.FIRST_NAME, ST2.LAST_NAME, ST2.FULL_NAME,
			 ST2.TEL_NO, ST2.MOBILE_NO, ST2.CLASS_ID, ST2.JOB_FUNCTION_ID, ST2.JOB_FUNCTION_ID, ST2.CC_CODE, ST2.COMPANY_ID, ST2.LOCATION_ID, ST2.ISPRODUCTION,
			 ST2.MAX_LOGIN, ST2.QUOTA, ST2.DELETED_FLAG, ST2.DEFAULT_APP, ST2.EMAIL, ST2.MULTIPLE_LOGIN, ST2.PASSWORD_MUST_BE_CHANGED, ST2.ID
	,  
    SUBSTRING(
        (
            Select '; '+ST1.MSG  AS [text()]
            From #temp ST1
            Where ST1.RECORD_ID = ST2.RECORD_ID 
            For XML PATH ('')
        ), 2, 1000) MSGG
	From #temp ST2
	ORDER BY ST2.ID ASC

	IF OBJECT_ID('tempdb..#temp') IS NOT NULL 
		DROP TABLE #temp

END

